# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Segment

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.analytics.Segment

All Implemented Interfaces:
  Extension

    public class Segment

extends ExtensionPoint

Describes a segment.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Segment()` Default mutable constructor.
`Segment(java.lang.String id, java.lang.String name)` Immutable constructor.

Method Summary
`void` `addProperty(Property property)` Adds a new property.
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`Definition` `getDefinition()` Returns the definition.
`java.lang.String` `getId()` Returns the id of the segment.
`java.lang.String` `getName()` Returns the name of the segment.
`java.util.List<Property>` `getProperties()` Returns the properties.
`java.lang.String` `getProperty(java.lang.String name)` Returns the value of the named property of this entry.
`boolean` `hasDefinition()` Returns whether it has the definition.
`boolean` `hasId()` Returns whether it has the id of the segment.
`boolean` `hasName()` Returns whether it has the name of the segment.
`boolean` `hasProperties()` Returns whether it has the properties.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setDefinition(Definition definition)` Sets the definition.
`void` `setId(java.lang.String id)` Sets the id of the segment.
`void` `setName(java.lang.String name)` Sets the name of the segment.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Segment

    public Segment()

  Default mutable constructor.

### Segment

    public Segment(java.lang.String id,
                   java.lang.String name)

  Immutable constructor.

  Parameters:
    `id` - id of the segment.
    `name` - name of the segment.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getDefinition

    public Definition getDefinition()

  Returns the definition.

  Returns:
    definition

### setDefinition

    public void setDefinition(Definition definition)

  Sets the definition.

  Parameters:
    `definition` - definition or `null` to reset

### hasDefinition

    public boolean hasDefinition()

  Returns whether it has the definition.

  Returns:
    whether it has the definition

### getId

    public java.lang.String getId()

  Returns the id of the segment.

  Returns:
    id of the segment

### setId

    public void setId(java.lang.String id)

  Sets the id of the segment.

  Parameters:
    `id` - id of the segment or `null` to reset

### hasId

    public boolean hasId()

  Returns whether it has the id of the segment.

  Returns:
    whether it has the id of the segment

### getName

    public java.lang.String getName()

  Returns the name of the segment.

  Returns:
    name of the segment

### setName

    public void setName(java.lang.String name)

  Sets the name of the segment.

  Parameters:
    `name` - name of the segment or `null` to reset

### hasName

    public boolean hasName()

  Returns whether it has the name of the segment.

  Returns:
    whether it has the name of the segment

### getProperties

    public java.util.List<Property> getProperties()

  Returns the properties.

  Returns:
    properties

### addProperty

    public void addProperty(Property property)

  Adds a new property.

  Parameters:
    `property` - property

### hasProperties

    public boolean hasProperties()

  Returns whether it has the properties.

  Returns:
    whether it has the properties

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Returns the value of the named property of this entry. More specifically, it returns the content of the `value` attribute of the `dxp:property` whose `name` attribute matches the argument. Returns `null` if no such property exists.

  Parameters:
    `name` - the property to retrieve from this entry
  Returns:
    string value of the named property or null if it doesn't exist